:host {
  --chipset-match-label-grid-col-1c: 1/3;
  --chipset-match-label-grid-col-2c: 1;

  --chipset-match-grid-row-1c: 3;
  --chipset-match-grid-row-2c: 2;

  --chipset-match-grid-col-1c: 1/3;
  --chipset-match-grid-col-2c: 2;

  --height: unset;

  /*options = [one-column | two-column]; Use to flag to controller, via CSS, which class it should
  dynamically set, when the component is init. Lends it self to use with @media*/
  --column-type: one-column;
}

form {
  padding: 20px 12px;
  /*margin: 4px 0;*/
  border: solid 2px var(--primary-colour800);
  height: var(--height);
}

#input-wrapper {
  display: grid; /*ensures labels are wrapped to the same width and thus left-aligned inputs*/
  grid-row-gap: 12px;
  grid-column-gap: 12px;
}

input, select {
  outline: none;
  height: 32px;
}

input[type="checkbox"] {
  padding: 0 12px !important;
}

label {
  display: flex;
  align-items: center; /*Vertical align text*/
}

/*region One-column and Two-column: set via CSS class */

/*Intended to target :host width of >400px)*/
.two-column {
  --chipset-match-label-grid-col: var(--chipset-match-label-grid-col-2c);

  --chipset-match-grid-row: var(--chipset-match-grid-row-2c);
  --chipset-match-grid-col: var(--chipset-match-grid-col-2c)
}

/*Intended to target :host width <= 401px*/
/*one-column only values*/
.one-column {
  --chipset-match-label-grid-col: var(--chipset-match-label-grid-col-1c);

  --chipset-match-grid-row: var(--chipset-match-grid-row-1c);
  --chipset-match-grid-col: var(--chipset-match-grid-col-1c)
}

.one-column #automotive-parts-label {
  grid-row: 4;
  grid-column: 1/3;
}

.one-column #automotive-parts {
  grid-row: 5;
  grid-column: 1/3;
}

.one-column #aec-parts-label {
  grid-row: 6;
  grid-column: 1/3;
}

.one-column #aec-parts {
  grid-row: 7;
  grid-column: 1/3;
}

/*region Same values for one-column and two-column*/
#stock-parts-label {
  /*Extend the label over the checkbox, hence increases click area for mobile/tablet*/
  grid-row: 1;
  grid-column: 1/3;
}

#stock-parts {
  grid-row: 1;
  grid-column: 2;
}

/*endregion*/

#chipset-match-label {
  grid-row: 2;
  grid-column: var(--chipset-match-label-grid-col);
}

#chipset-match {
  grid-row: var(--chipset-match-grid-row);
  grid-column: var(--chipset-match-grid-col);
}

/*endregion*/

#submit-wrapper {
  display: flex;
  flex-direction: row-reverse;
  padding-top: 12px;
}
